As found here:

http://linux-kernel.2935.n7.nabble.com/PATCH-arm64-kernel-need-extern-variable-screen-info-for-related-driver-using-td652444.html

---
diff --git a/arch/arm64/kernel/setup.c b/arch/arm64/kernel/setup.c
index efa2123a..4beccf05 100644
--- a/arch/arm64/kernel/setup.c
+++ b/arch/arm64/kernel/setup.c
@@ -591,6 +591,17 @@ const struct seq_operations cpuinfo_op = {
 	.show	= c_show
 };
 
+#if defined(CONFIG_VGA_CONSOLE) || defined(CONFIG_DUMMY_CONSOLE)
+struct screen_info screen_info = {
+	.orig_video_lines = 30,
+	.orig_video_cols = 80,
+	.orig_video_mode = 0,
+	.orig_video_ega_bx = 0,
+	.orig_video_isVGA = 1,
+	.orig_video_points = 8
+};
+#endif 
+
 void arch_setup_pdev_archdata(struct platform_device *pdev)
 {
 	pdev->archdata.dma_mask = DMA_BIT_MASK(32);
